ConTeXt KPSE checking utility
wiki: http://contextgarden.net | mail: ntg-context@ntg.nl | website: http://www.pragma-ade.nl

# Command line options

flag | value | description
--- | --- | ---
basic
--progname |  | mandate, set the program name (e.g. pdftex)
--findfile |  | report the fully qualified path of the given file
--findfiles |  | report a list of all full names of the given file
--expandpath |  | expand the given path variable
--expandvar |  | expand a variable
--expandbraces |  | expand a complex variable specification
--varvalue |  | show the value of a variable
--readablefile |  | report if a file is readable
--filetypes |  | list all supported formats
additional
--format |  | format type
--path |  | path variable
--split |  | split result in lines

# Examples

`mtxrun --script kpse --progname=pdftex --findfile context.mkii`
`mtxrun --script kpse --progname=pdftex --findfile context.mkii --format=tex`
`mtxrun --script kpse --progname=pdftex --findfiles context.mkii --path=$TEXINPUTS`
`mtxrun --script kpse --progname=pdftex --expandpath $TEXMFVAR`
`mtxrun --script kpse --progname=pdftex --expandpath $TEXINPUTS -- split`